
//******************************************************************************
//  FILE..........: CASLINK.H
//  COPYRIGHT.....: Copyright (C) 1999 Alexey Podrezov
//  VERSION.......: 1.0b
//  DESCRIPTION...: Cassette Interface Emulation utility
//  NOTES.........: Encodes/decodes files to be transfered through MSX cassette interface
//  HISTORY.......:
//  PERSON          DATE         COMMENT
//  --------------- ------------ -----------------------------------------------
//  Podrezov        05/09/1999   Initial version created

//******************************************************************************


#define STARTBIT 0
#define STOPBIT 1
#define SILENCE 0x80
#define HIGHAMPLITUDE 0xff
#define LOWAMPLITUDE 0
#define MAXSIGNALLEVEL 100
#define CASFILENAMELENGTH 6
#define WAVHEADEROFFSETVALUE 0x77
#define MINENCINPUTFILELENGTH 5L
#define MAXENCINPUTFILELENGTH 33000L
#define LENGTHCORRECTION 25

typedef unsigned int WORD;
typedef unsigned long DWORD;

int WriteDataByte(unsigned char);
void ExitOnError(int ErrorNum);
void CleanUp(void);
void DecodeFile(void);
void EncodeSingleFile(void);
void EncodeMultipleFiles(int);
void PrimarySetup(void);
void PrintHelp(void);

